package leonardvisser.nl.MapsWorkshop;

import java.util.List;

import android.graphics.drawable.Drawable;
import android.os.Bundle;
import android.widget.LinearLayout;
import android.widget.ZoomControls;

import com.google.android.maps.GeoPoint;
import com.google.android.maps.MapActivity;
import com.google.android.maps.MapView;
import com.google.android.maps.Overlay;
import com.google.android.maps.OverlayItem;

public class MapsWorkshop extends MapActivity {
	MapView mapView;
	List<Overlay> mapOverlays;
	Drawable marker;
	CustomItemizedOverlay itemizedOverlay;
	
    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        
        this.addZoomControls();
        this.drawOverlays();
    }
    
    protected void addZoomControls() {
        LinearLayout controlsView = (LinearLayout) findViewById(R.id.controlsView);
    	mapView = (MapView) findViewById(R.id.mapview);
    	ZoomControls zoomControls = (ZoomControls) mapView.getZoomControls();
    	
    	controlsView.addView(zoomControls);
	}
    
    protected void drawOverlays() {
    	mapOverlays = mapView.getOverlays();
    	marker = this.getResources().getDrawable(R.drawable.hrpin);
    	itemizedOverlay = new CustomItemizedOverlay(marker);
    	int latInt = (int)(51.906307 *1E6);
    	int lngInt = (int)(4.459666 *1E6); 
    	GeoPoint gRotterdam = new GeoPoint(latInt, lngInt);
    	OverlayItem rotterdam = new OverlayItem(gRotterdam, "Rotterdam", "");    	
    	itemizedOverlay.addOverlay(rotterdam);
    	mapOverlays.add(itemizedOverlay);
    }


	@Override
	protected boolean isRouteDisplayed() {
		// TODO Auto-generated method stub
		return false;
	}
}